Gradle error in Nativescript-vue


#1

Does anyone know a solution to this error Error is: Command ./gradlew failed with exit code 1. ??

The full error code

adconnect@1.0.0 watch:android /Users/MacBookPro/Desktop/Adconnect

npm run watch – --env.android

adconnect@1.0.0 watch /Users/MacBookPro/Desktop/Adconnect
webpack --watch --env.tnsAction run “–env.android”

info: Copying NativeScript plugins to template dependencies…
info: Preparing NativeScript application from template…
npm WARN adconnect@ No repository field.
npm WARN adconnect@ license should be a valid SPDX license expression

info: Bundling application for android…

Webpack is watching the files…

Executing post-build scripts
info: Running NativeScript application…
Searching for devices…
Preparing project…
Project successfully prepared (Android)
Building project…
Gradle build…
+ applying user-defined configuration from /Users/MacBookPro/Desktop/Adconnect/dist/app/App_Resources/Android/app.gradle
Configuration ‘compile’ in project ‘:app’ is deprecated. Use ‘implementation’ instead.
Configuration ‘debugCompile’ in project ‘:app’ is deprecated. Use ‘debugImplementation’ instead.
+ adding nativescript runtime package dependency: nativescript-optimized
+ adding aar plugin dependency: /Users/MacBookPro/Desktop/Adconnect/dist/node_modules/tns-core-modules-widgets/platforms/android/widgets-release.aar
Unable to apply changes on device: H806W30123456789. Error is: Command ./gradlew failed with exit code 1.


#2

Where you trying to use the Firebase plugin? If that’s the case, the solution is simple. Just follow this link: https://github.com/EddyVerbruggen/nativescript-plugin-firebase#dexindexoverflowexception.